QuantLib: LfmSwaptionEngine Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
LfmSwaptionEngine Class Reference
Pricing engines » Swaption engines

Libor forward model swaption engine based on Black formula More...

`#include <ql/legacy/libormarketmodels/lfmswaptionengine.hpp>`

Inheritance diagram for LfmSwaptionEngine:
[legend]

## Public Member Functions
| LfmSwaptionEngine (const boost::shared_ptr< LiborForwardModel > &model, const Handle< YieldTermStructure > &discountCurve)
void | calculate () const
Public Member Functions inherited from GenericModelEngine< LiborForwardModel, Swaption::arguments, Swaption::results >
| GenericModelEngine (const Handle< LiborForwardModel > &model=Handle< LiborForwardModel >())
| GenericModelEngine (const boost::shared_ptr< LiborForwardModel > &model)
Public Member Functions inherited from GenericEngine< Swaption::arguments, Swaption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Additional Inherited Members
Protected Attributes inherited from GenericModelEngine< LiborForwardModel, Swaption::arguments, Swaption::results >
Handle< LiborForwardModel > | model_
Protected Attributes inherited from GenericEngine< Swaption::arguments, Swaption::results >
Swaption::arguments | arguments_
Swaption::results | results_

## Detailed Description

Libor forward model swaption engine based on Black formula